Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\Event\RouteReferenceGenerationEvent Class Reference

Event dispatched when generating a RouteReference. More...

Inheritance diagram for eZ\Publish\Core\MVC\Symfony\Event\RouteReferenceGenerationEvent:

## Public Member Functions
| __construct (RouteReference $routeReference, Request $request)
| getRequest ()
| getRouteReference ()
| setRouteReference ($routeReference)

## Private Attributes
| $routeReference
| $request

## Detailed Description

Event dispatched when generating a RouteReference.

Definition at line 16 of file RouteReferenceGenerationEvent.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\MVC\Symfony\Event\RouteReferenceGenerationEvent::__construct | ( | RouteReference | $routeReference,
|  | Request | $request
| ) |  |

Definition at line 24 of file RouteReferenceGenerationEvent.php.

References eZ\Publish\Core\MVC\Symfony\Event\RouteReferenceGenerationEvent\$request, and eZ\Publish\Core\MVC\Symfony\Event\RouteReferenceGenerationEvent\$routeReference.

## Member Function Documentation

## ◆ getRequest()

eZ\Publish\Core\MVC\Symfony\Event\RouteReferenceGenerationEvent::getRequest | ( |  | ) |

Returns
  \Symfony\Component\HttpFoundation\Request

Definition at line 33 of file RouteReferenceGenerationEvent.php.

References eZ\Publish\Core\MVC\Symfony\Event\RouteReferenceGenerationEvent\$request.

## ◆ getRouteReference()

eZ\Publish\Core\MVC\Symfony\Event\RouteReferenceGenerationEvent::getRouteReference | ( |  | ) |

Returns
  \eZ\Publish\Core\MVC\Symfony\Routing\RouteReference

Definition at line 41 of file RouteReferenceGenerationEvent.php.

References eZ\Publish\Core\MVC\Symfony\Event\RouteReferenceGenerationEvent\$routeReference.

Referenced by eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener\onRouteReferenceGeneration(), and eZ\Publish\Core\MVC\Symfony\EventListener\LanguageSwitchListener\onRouteReferenceGeneration().

## ◆ setRouteReference()

eZ\Publish\Core\MVC\Symfony\Event\RouteReferenceGenerationEvent::setRouteReference | ( |  | $routeReference | ) |

Parameters

  \eZ\Publish\Core\MVC\Symfony\Routing\RouteReference | $routeReference |

Definition at line 49 of file RouteReferenceGenerationEvent.php.

References eZ\Publish\Core\MVC\Symfony\Event\RouteReferenceGenerationEvent\$routeReference.

## Member Data Documentation

## ◆ $request

eZ\Publish\Core\MVC\Symfony\Event\RouteReferenceGenerationEvent::$request
| private

Definition at line 22 of file RouteReferenceGenerationEvent.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Event\RouteReferenceGenerationEvent\__construct(), and eZ\Publish\Core\MVC\Symfony\Event\RouteReferenceGenerationEvent\getRequest().

## ◆ $routeReference

eZ\Publish\Core\MVC\Symfony\Event\RouteReferenceGenerationEvent::$routeReference
| private

Definition at line 19 of file RouteReferenceGenerationEvent.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Event\RouteReferenceGenerationEvent\__construct(), eZ\Publish\Core\MVC\Symfony\Event\RouteReferenceGenerationEvent\getRouteReference(), and eZ\Publish\Core\MVC\Symfony\Event\RouteReferenceGenerationEvent\setRouteReference().

The documentation for this class was generated from the following file:

- RouteReferenceGenerationEvent.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.